<nav class="navbar navbar-inverse">
    <ul class="nav nav-pills">

        {% if app.user %}
            <li class="nav-item  ">
                <a class="nav-link btn btn-outline-primary  "
                   href="{{ path('app_logout') }}">Logout</a>
            </li>
        {% else %}

            <li class="nav-item  ">
                <a class="nav-link btn btn-outline-danger  {{ app.request.pathInfo == path('app_login') ?'active':null }}"
                   href="{{ path('app_login') }}">Login</a>
            </li>
        {% endif %}

        <li class="nav-item">
            <a class="nav-link btn  btn-outline-primary {{ app.request.pathInfo == path('product_index') ?'active':null }} "
               href="{{ path('product_index') }}">Products</a>
        </li>

        {% for type_id,typeName  in  constant('\\App\\Entity\\Cart::TYPES_NAMES') %}
            {% set totalValue = 0 %}
            {% set itemsCount = 0 %}
            {% if app.user %}
                {% set cart = app.user.findCartByType(type_id) %}
            {% else %}
                {% set cart = app.session.get('cart.'~constant('\\App\\Entity\\Cart::AVAILABLE_TYPES')[type_id]) %}
            {% endif %}

            {% if cart %}
                {% set totalValue = cart.totalValue %}
                {% set itemsCount = cart.getProducts|length%}
            {% endif %}

            <li class="nav-item">
                <a class="nav-link btn  btn-outline-primary {{ app.request.pathInfo == path('my_cart',{'cart_type':type_id}) ?'active':null }} "
                   href="{{ path('my_cart',{'cart_type':type_id}) }}">{{ typeName }}
                    ({{ itemsCount }} items)= {{ totalValue|default(0) }}</a>
            </li>
        {% endfor %}


    </ul>

</nav>